PEmicro logo
Cart New Account Login

Logo image
HomeAbout usProductsSupportForumsBlogCustomer Service
   Home P&E Customer Support FAQs - Frequently Asked Questions FAQ ID # 211
FAQ ID # 211
 
Question
My Legacy Codewarrior, my Eclipse Codewarrior 10.2 or higher, or my other 3rd party software with PEmicro support will not detect my PEmicro hardware tool or fails to connect to the target board. What can I do to fix this?
 
Answer
****************************************************************************************************************
IMPORTANT NOTE!: If you are using Windows 10, please relocate your Legacy Codewarrior software outside of Program Files x86. I would advise moving to the path "C:/NXP/" (Create the folder if it does not exist yet). Without this extra step, the patches below will not stick and you will continue to have issues.
****************************************************************************************************************

****************************************************************************************************************
Another IMPORTANT NOTE!: The following patches have been split between supporting legacy hardware and supporting our newer hardware. Legacy patches will no longer receive updates, while newer hardware will continually receive updates. Check the back sticker for the full part number and revision of your hardware. Please read this blogpost for more information of whether your hardware is considered legacy: www.pemicro.com//blog//index.cfm?post_id=212
****************************************************************************************************************

Many customers today still rely heavily on Legacy Codewarrior software, or older version of Eclipse Codewarrior 10.x, or other 3rd party software (such as CF Flasher, IAR, Greenhills, etc.) with PEmicro support, which could have been last released and supported before Windows 7/8/10/11 and 64-bit operating system became the new standard or before the new PEmicro hardware like the Multilink Universal, Multilink Universal FX, Cyclone Universal, or Cyclone FX Universal ever existed.

To add support to older software for the newer PEmicro hardware, updated firmware, and to add support for 64-bit windows, the attached patches were created for specific chip architectures into Legacy Codewarrior software, Eclipse Codewarrior 10.x, and other 3rd party software. If the PEmicro hardware is not detected by the operating system within device manager, please use the attached PEmicro Hardware Interface Drivers version 12.

Note, these patches were tested on mostly NXP's Legacy Codewarrior IDE's and Eclipse Codewarrior 10.2 on a Windows 7 and Windows 10 64-bit machine and PEmicro does not guarantee its success on all 3rd party software or resolve all hardware and firmware issues on all flavors of operating systems. Also, these patches do not add new chip support. For example the support for HCS08PA and HCS08PT chips are not supported in Legacy Codewarrior so please contact the developers of the IDE for questions related to chip support.

Use the listing below to determine which patch is for which chip architectures.

Patch for Eclipse Codewarrior 10.2 or higher Software:
This patch is for HCS08, RS08, CFV1, ColdFire V2/3/4, DSC, PowerPC Nexus (Qorivva), and ARM chip architectures. This patch will only work on Codewarrior version 10.2 or higher. There are no workarounds available for CW10.0 or CW10.1. Try updating your Codewarrior version. PEmicro devices that are supported are:
Cyclone Pro (Legacy)
Cyclone Max (Legacy)
Cyclone LC ARM
Cyclone FX ARM
Cyclone LC Universal
Cyclone FX Universal
USB Multilink Universal (USB-ML-UNIVERSAL)
USB Multilink Universal FX (USB-ML-Universal-FX)
USB ColdFire Multilink (USB-ML-CFE) (Legacy)
USB Qorivva Multilink (USB-ML-PPCNEXUS) (Legacy)
USB BDM Multilink (USB-ML-12) (Legacy)

Patch for ColdFire 3rd Party Software:
This patch is for ColdFire V2/V3/V4 chip architecture tested on CW v7.2. PEmicro devices that are supported are:
Cyclone Max (Legacy)
Cyclone LC Universal
Cyclone FX Universal
USB Multilink Universal (USB-ML-UNIVERSAL)
USB Multilink Universal FX (USB-ML-Universal-FX)
USB ColdFire Multilink (USB-ML-CFE) (Legacy)

Patch for (S)12(X) 3rd Party Software:
This patch is for (S)12(X) chip architecture tested on CW v5.1 and v5.2. PEmicro devices that are supported are:
Cyclone Pro (Legacy)
Cyclone LC Universal
Cyclone FX Universal
USB Multilink Universal (USB-ML-UNIVERSAL)
USB Multilink Universal FX (USB-ML-Universal-FX)
USB BDM Multilink (USB-ML-12) (Legacy)

Patch for HCS08/RS08/CFV1 3rd Party Software:
(NOTE: If using Codewarrior 6.2, this patch will not work. It must be version CW6.3) This patch is for HCS08/RS08/CFV1 chip architecture tested on CW v6.3. PEmicro devices that are supported are:
Cyclone Pro (Legacy)
Cyclone LC Universal
Cyclone FX Universal
USB Multilink Universal (USB-ML-UNIVERSAL)
USB Multilink Universal FX (USB-ML-Universal-FX)
USB BDM Multilink (USB-ML-12) (Legacy)

Patch for Qorivva (PowerPC Nexus) Codewarrior:
This patch is for Qorivva chip architecture and only for Codewarrior 2.10 software. With legitimate Codewarrior license, the software will be full featured. Otherwise, the software will be 128K code-size limited. PEmicro devices that are supported are:
Cyclone Max(Legacy)
Cyclone LC Universal
Cyclone FX Universal
USB Multilink Universal (USB-ML-UNIVERSAL)
USB Multilink Universal FX (USB-ML-Universal-FX)
USB Qorivva/PPCNexus Multilink (USB-ML-PPCNEXUS) (Legacy)

Patch for PPC BDM Codewarrior:
This patch is for PPC BDM architecture tested on CW v8.7. PEmicro devices that are supported are:
Cyclone Max (Legacy)
Cyclone LC Universal
Cyclone FX Universal
USB PPC BDM Multilink (USB-ML-PPCBDM) (Legacy)
USB Multilink Universal FX rev B or higher (USB-ML-Universal-FX)
Note, USB Multilink Universal FX rev A does NOT support PPC BDM. Support is added in rev B or higher

 
Related Downloads
Patch for (S)12(X) 3rd Party Software - 26 October 2021 This archive is NOT tested against legacy hardware interfaces. Use the LEGACY download instead. This archive contains the latest PEmicro (S)12(X) interface DLL and firmware for all compatible PEmicro interfaces. If you are unable to utilize your PEmicro interface with your software (such as classic Codewarrior, IAR, Greenhills, etc.), then you may need to apply this update. This patch does not guarantee its success in resolving all hardware or firmware issues customers may be facing. This patch was tested on NXP's Codewarrior classic v5.1 for (S)12(X) chip architecture. Please read the README.txt file for instructions on how to backup previous files and how to patch up the Codewarrior properly.

Patch for (S)12(X) 3rd Party Software (LEGACY) - 04 Sept 2020 This archive will support legacy hardware interfaces. This archive contains the PEmicro (S)12(X) interface DLL and firmware for all compatible PEmicro interfaces. If you are unable to utilize your PEmicro interface with your software (such as classic Codewarrior, IAR, Greenhills, etc.), then you may need to apply this update. This patch does not guarantee its success in resolving all hardware or firmware issues customers may be facing. This patch was tested on NXP's Codewarrior classic v5.1 for (S)12(X) chip architecture. Please read the README.txt file for instructions on how to backup previous files and how to patch up the Codewarrior properly.

Patch for CFV1/S08/RS08/MON08 3rd Party Software - 26 October 2021 This archive contains the latest PEmicro CFV1/HCS08/RS08/MON08 interface DLL and firmware for all compatible PEmicro interfaces. If you are unable to utilize your PEmicro interface with your software (such as classic Codewarrior, IAR, Greenhills, etc.), then you may need to apply this update. This patch does not guarantee its success in resolving all hardware or firmware issues customers may be facing. This patch was tested on NXP's Codewarrior classic v6.3. Please read the README.txt file for instructions on how to backup previous files and how to patch up the Codewarrior properly.

Patch for CFV1/S08/RS08/MON08 3rd Party Software (LEGACY) - 04 Sept 2020 This archive will work with legacy hardware interfaces. This archive contains the latest PEmicro CFV1/HCS08/RS08/MON08 interface DLL and firmware for all compatible PEmicro interfaces. If you are unable to utilize your PEmicro interface with your software (such as classic Codewarrior, IAR, Greenhills, etc.), then you may need to apply this update. This patch does not guarantee its success in resolving all hardware or firmware issues customers may be facing. This patch was tested on NXP's Codewarrior classic v6.3. Please read the README.txt file for instructions on how to backup previous files and how to patch up the Codewarrior properly.

Patch for ColdFire 3rd Party Software - 26 October 2021 This archive is NOT tested against legacy hardware interfaces. Use the LEGACY download instead. This archive contains the latest PEmicro ColdFire V2/V3/V4 interface DLL and firmware for all compatible PEmicro interfaces. If you are unable to utilize your PEmicro interface with your software (such as classic Codewarrior, CF Flasher, IAR, Greenhills, etc.), then you may need to apply this update. This patch does not guarantee its success in resolving all hardware or firmware issues customers may be facing. This patch was tested on NXP's Codewarrior classic v7.2 for ColdFire chip architecture. Please read the README.txt file for instructions on how to backup previous files and how to patch up the Codewarrior properly.

Patch for ColdFire 3rd Party Software (LEGACY) - 04 April 2018 This archive will work with legacy hardware interfaces. This archive contains the latest PEmicro ColdFire V2/V3/V4 interface DLL and firmware for all compatible PEmicro interfaces. If you are unable to utilize your PEmicro interface with your software (such as classic Codewarrior, CF Flasher, IAR, Greenhills, etc.), then you may need to apply this update. This patch does not guarantee its success in resolving all hardware or firmware issues customers may be facing. This patch was tested on NXP's Codewarrior classic v7.2 for ColdFire chip architecture. Please read the README.txt file for instructions on how to backup previous files and how to patch up the Codewarrior properly.

Patch for Eclipse CW10.x - 26 October 2021 This is ONLY for Eclipse Codewarrior 10.x and 11.x software. For users using Classic Codewarrior please check for other patches in our downloads page. This archive contains the latest PEmicro interface DLL and firmware for all compatible PEmicro interfaces. This patch does not guarantee its success in resolving all hardware or firmware issues customers may be facing. This patch was tested on NXP's Eclipse Codewarrior 10.4. Please read the README.txt file for instructions on how to backup previous files and how to patch up the Codewarrior properly.

Patch for Eclipse CW10.x (LEGACY) - 11 August 2020 This archive will work with legacy hardware interfaces. This is ONLY for Eclipse Codewarrior 10.x and 11.x software. For users using Classic Codewarrior please check for other patches in our downloads page. This archive contains the latest PEmicro interface DLL and firmware for all compatible PEmicro interfaces. This patch does not guarantee its success in resolving all hardware or firmware issues customers may be facing. This patch was tested on NXP's Eclipse Codewarrior 10.4. Please read the README.txt file for instructions on how to backup previous files and how to patch up the Codewarrior properly.

Patch for PPC BDM Codewarrior (LEGACY) - 26 October 2021 This archive will work with legacy hardware interfaces. This archive contains the latest PEmicro PPC BDM interface DLL and firmware for all compatible PEmicro interfaces. If you are unable to utilize your PEmicro interface with your software (such as classic Codewarrior, IAR, Greenhills, etc.), then you may need to apply this update. This patch does not guarantee its success in resolving all hardware or firmware issues customers may be facing. This patch was tested on NXP's Codewarrior classic v8.7 for PPC BDM chip architecture. Please read the README.txt file for instructions on how to backup previous files and how to patch up the Codewarrior properly.

Patch for Qorivva (PowerPC Nexus) Codewarrior - 26 October 2021 This archive is NOT tested against legacy hardware interfaces. Use the LEGACY download instead. This archive contains the latest PEmicro Qorivva/PPCNEXUS support for all compatible PEmicro interfaces for Classic Codewarrior v2.10. This patch does not guarantee its success in resolving all hardware or firmware issues customers may be facing. This patch was tested on NXP's Codewarrior classic v2.10. Please read the README.txt file for instructions on how to backup previous files and how to patch up the Codewarrior properly.

Patch for Qorivva (PowerPC Nexus) Codewarrior (LEGACY) - 26 October 2021 This archive will work with legacy hardware interfaces. This archive contains the latest PEmicro Qorivva/PPCNEXUS support for all compatible PEmicro interfaces for Classic Codewarrior v2.10. This patch does not guarantee its success in resolving all hardware or firmware issues customers may be facing. This patch was tested on NXP's Codewarrior classic v2.10. Please read the README.txt file for instructions on how to backup previous files and how to patch up the Codewarrior properly.

PEmicro Hardware Interface Drivers, v.12 (7/8/10/11) - Version 12.7 Adds support for 64 bit PEmicro applications. Also it includes the atom fix which affects very select users. Installs PEmicro drivers to allow applications to communicate with PEmicro hardware. Please note that not all hardware may be supported for your OS. This does not include the application level support which comes with the different products. Administrator privilege is now required. Released 11/30/2017.

 
Architectures Categories Products
HC08, HCS08, HC(S)12(X), ColdFire V2/V3/V4, Power MPC5xx/8xx, Qorivva MPC5xxx, RS08, ColdFire V1, Kinetis / S32, DSC, S12Z, LPC, i.MX General / Miscellaneous, IDE - Integrated Development Environment, Debugger, Flash Programming Software DEMO9S08JM16, DC9S08JM16, XPC560PADPT100S, CYCLONEPRO, USB-ML-12, CYCLONE_MAX, USB-ML-CF, USB-ML-PPCBDM, USB-ML-16/32, USB-ML-PPCNEXUS, XPC560SKIT176S, DC9S08QE128
 
Please rate this FAQ to help us improve our support
0 means "not helpful"
10 means "very helpful"
0 1 2 3 4 5 6 7 8 9 10

© 2022 P&E Microcomputer Systems Inc.
Website Terms of Use and Sales Agreement